Skip to main content
List append-only cluster telemetry history
curl --request GET \
  --url https://api.acornops.dev/api/v1/workspaces/{workspaceId}/kubernetes-clusters/{clusterId}/metrics/history \
  --cookie acornops_cp_session=
{
  "workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "clusterId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "windowMs": 123,
  "points": [
    {
      "timestamp": "2023-11-07T05:31:56Z",
      "cpuCores": 123,
      "memoryBytes": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.acornops.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

acornops_cp_session
string
cookie
required

Path Parameters

workspaceId
string<uuid>
required
Example:

"4b930d98-add9-4924-ab26-3c16d96ec373"

clusterId
string<uuid>
required
Example:

"5b006e4c-509c-458a-9f02-5aafbdc01ade"

Query Parameters

window
string
Example:

"1h"

limit
integer
Required range: 1 <= x <= 288
Example:

48

Response

Cluster CPU and memory history derived from append-only snapshots.

workspaceId
string<uuid>
required
clusterId
string<uuid>
required
windowMs
integer
required
points
object[]
required